/ comp / gb.opengl / gl / getclipplane
Gl.GetClipPlane (gb.opengl)
Syntax

    STATIC FUNCTION GetClipPlane ( Plane AS Integer ) AS Float[]

### Return the coefficients of the specified clipping

#### Parameters

- Plane specifies a clipping plane. The number of clipping planes depends on the implementation, but at least six clipping planes are supported. They are identified by symbolic names of the form Gl.GL_CLIP_PLANEi where 0 ≤ i < Gl.MaxClipPlanes.

#### Description

Gl.GetClipPlane returns an array of the four coefficients of the plane equation for plane.

| It is always the case that Gl.GL_CLIP_PLANEi = Gl.GL_CLIP_PLANE0 + i. If an error is generated, no change is made to the contents of equation.

#### Errors

Gl.GL_INVALID_ENUM is generated if plane is not an accepted value.
Gl.GL_INVALID_OPERATION is generated if Gl.GetClipPlane is called between a call to Gl.Begin and the corresponding call to Gl.End.

### See also

Gl.ClipPlane